#*********************************************************************
# Copyright (C) 2025 Red Hat, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
#**********************************************************************/

from typing import Any, Dict

from llama_stack.apis.datatypes import Api

from .config import PodmanAILabImplConfig

async def get_adapter_impl(config: PodmanAILabImplConfig, deps: Dict[Api, Any]):
    from .podman_ai_lab import PodmanAILabInferenceAdapter

    impl = PodmanAILabInferenceAdapter(config.url)
    await impl.initialize()
    return impl
